<div id="discount-create">
  <div class="flex items-center justify-between">
    <div class="flex items-center">
      <nuxt-link to="/seller/discounts" class="text-decoration-none">
        <p class="mb-0 font-medium leading-6 text-content-subtitle">Discount</p>
      </nuxt-link>
      <v-icon class="mx-3" color="#6B7280"> mdi-chevron-right </v-icon>
      <p class="mb-0 font-medium leading-6 text-content-main capitalize">
        Create Discount
      </p>
    </div>
  </div>
  <div class="mt-4 flex items-center justify-between">
    <p class="mb-0 text-lg font-semibold text-content-main">
      Create New DiscountCode
    </p>
    <v-btn
      class="elevation-0 px-7 !bg-button"
      height="44"
      @click="onCreate()"
      :disabled="loading"
    >
      <v-progress-circular
        v-if="loading"
        size="18"
        indeterminate
        color="#076CE3"
      >
      </v-progress-circular>
      <div class="d-flex align-center" v-else>
        <p class="mb-0 text-sm capitalize text-content-on-color font-semibold">
          Save Changes
        </p>
      </div>
    </v-btn>
  </div>
  <div class="mt-4" id="hideBottomInput">
    <div class="grid grid-cols-12 gap-6">
      <div class="col-span-12 md:col-span-9">
        <div class="bg-white rounded-md shadow p-4">
          <p class="mb-0 text-content-main text-sm font-semibold">
            Discount Name
          </p>
          <v-text-field
            dense
            outlined
            v-model.trim="discount.code"
            placeholder="e.g NEWYEARSALE"
            class="mt-2"
          ></v-text-field>
        </div>
        <div class="bg-white rounded-md shadow p-4 mt-4">
          <p class="mb-0 font-semibold text-content-main text-sm">
            Type of Discount:
          </p>
          <v-radio-group v-model="discount.discountType">
            <v-radio
              label="Percent"
              class="text-content-main"
              value="1"
            ></v-radio>
            <v-radio
              label="Fixed Amount"
              class="text-content-main"
              value="2"
            ></v-radio>
            <v-radio
              label="FreeShip"
              class="text-content-main"
              value="3"
            ></v-radio>
          </v-radio-group>
          <div class="mt-4" v-if="discount.discountType !== '3'">
            <p class="mb-0 font-semibold text-content-main text-sm">
              Discount Value
            </p>
            <v-text-field
              dense
              outlined
              v-model.number="discount.discount"
              placeholder="Enter a number here"
              class="mt-2"
              :suffix="discount.discountType === '1' ? 'Percent %' : ''"
              :prefix="discount.discountType === '2' ? '$' : ''"
            ></v-text-field>
          </div>
        </div>
        <div class="bg-white rounded-md shadow p-4 mt-4">
          <div>
            <!-- <p class="mb-0 font-semibold text-content-main text-sm">
              Minimum purchase amount Required
            </p> -->
            <p class="mb-0 font-semibold text-content-main text-sm">
              Minimum requirements
            </p>
            <v-radio-group v-model="checkboxMinimum" class="mt-0">
              <v-radio
                label="None"
                class="text-content-main"
                value="1"
              ></v-radio>
              <v-radio
                label="Minimum purchase amount ($)"
                class="text-content-main"
                value="2"
              ></v-radio>
              <v-radio
                label="Minimum quantity of item"
                class="text-content-main"
                value="3"
              ></v-radio>
            </v-radio-group>
          </div>
          <div class="mt-4" v-if="checkboxMinimum !== '1'">
            <p class="mb-0 font-semibold text-content-main text-sm">
              Minimum value
            </p>
            <v-text-field
              dense
              outlined
              v-model.number="minimumRequire"
              placeholder="Enter a number here"
              class="mt-2"
              :prefix="checkboxMinimum === '2' ? '$' : ''"
            ></v-text-field>
          </div>
          <!-- <p class="mb-0 text-content-main text-xs">
            Discount only applied when an order matches these conditions.
            <br />
            If you leave these field empty, discount will be applied without any
            conditions.
          </p> -->
          <!-- <div class="mt-4">
            <p class="mb-0 font-semibold text-content-main text-sm">
              Minimum purchase amount Required
            </p>
            <v-text-field
              dense
              outlined
              v-model.number="discount.minAmount"
              placeholder="Enter a number here"
              class="mt-2"
              prefix="$"
            ></v-text-field>
          </div>
          <div class="mt-4">
            <p class="mb-0 font-semibold text-content-main text-sm">
              Minimum quantity of items
            </p>
            <v-text-field
              dense
              outlined
              v-model.number="discount.minQuantity"
              placeholder="Enter a number here"
              class="mt-2"
            ></v-text-field>
          </div> -->
        </div>
        <div class="bg-white rounded-md shadow p-4 mt-4">
          <p class="mb-0 font-semibold text-content-main text-sm">
            Discount Active Time
          </p>
          <p class="mb-0 font-semibold text-content-main text-sm mt-4">
            Start Date & Time (GMT {{timezone}})
          </p>
          <div class="mt-4 flex items-center justify-between gap-1">
            <v-menu
              v-model="dateStartPicker"
              :close-on-content-click="false"
              nudge-bottom="10px"
              style="position: relative; z-index: 999"
              transition="scale-transition"
              offset-y
              min-width="auto"
            >
              <template v-slot:activator="{ on, attrs }">
                <v-text-field
                  v-model="dateStart"
                  dense
                  readonly
                  dense
                  outlined
                  v-bind="attrs"
                  v-on="on"
                  prepend-inner-icon="mdi-calendar"
                >
                </v-text-field>
              </template>
              <v-date-picker
                v-model="dateStart"
                @input="dateStartPicker = false"
                style="position: relative; z-index: 999"
              ></v-date-picker>
            </v-menu>
            <v-menu
              ref="menuStartTime"
              v-model="menuTimePickerStart"
              :close-on-content-click="false"
              nudge-bottom="10px"
              right
              :return-value.sync="timePickerStart"
              transition="scale-transition"
              offset-y
              max-width="290px"
              min-width="290px"
            >
              <template v-slot:activator="{ on, attrs }">
                <v-text-field
                  v-model="timePickerStart"
                  dense
                  outlined
                  prepend-inner-icon="mdi-clock-time-four-outline"
                  readonly
                  v-bind="attrs"
                  v-on="on"
                >
                </v-text-field>
              </template>
              <v-time-picker
                v-if="menuTimePickerStart"
                v-model="timePickerStart"
                full-width
                @click:minute="$refs.menuStartTime.save(timePickerStart)"
              >
              </v-time-picker>
            </v-menu>
          </div>
          <div class="mt-4">
            <v-checkbox
              class="mt-0"
              label="Set End Date & Time"
              v-model="isShowDateEnd"
            ></v-checkbox>
          </div>
          <div class="mt-4" v-if="isShowDateEnd">
            <p class="mb-0 font-semibold text-content-main text-sm mt-4">
              End Date & Time (GMT {{timezone}})
            </p>
            <div class="mt-2 flex items-center justify-between gap-1">
              <v-menu
                v-model="dateEndPicker"
                :close-on-content-click="false"
                nudge-bottom="10px"
                style="position: relative; z-index: 999"
                transition="scale-transition"
                offset-y
                min-width="auto"
              >
                <template v-slot:activator="{ on, attrs }">
                  <v-text-field
                    v-model="dateEnd"
                    dense
                    readonly
                    dense
                    outlined
                    v-bind="attrs"
                    v-on="on"
                    prepend-inner-icon="mdi-calendar"
                  >
                  </v-text-field>
                </template>
                <v-date-picker
                  v-model="dateEnd"
                  @input="dateEndPicker = false"
                  style="position: relative; z-index: 999"
                ></v-date-picker>
              </v-menu>
              <v-menu
                ref="menuEndTime"
                v-model="menuTimePickerEnd"
                :close-on-content-click="false"
                right
                nudge-bottom="10px"
                :return-value.sync="timePickerEnd"
                transition="scale-transition"
                offset-y
                max-width="290px"
                min-width="290px"
              >
                <template v-slot:activator="{ on, attrs }">
                  <v-text-field
                    v-model="timePickerEnd"
                    dense
                    outlined
                    prepend-inner-icon="mdi-clock-time-four-outline"
                    readonly
                    v-bind="attrs"
                    v-on="on"
                  >
                  </v-text-field>
                </template>
                <v-time-picker
                  v-if="menuTimePickerEnd"
                  v-model="timePickerEnd"
                  full-width
                  @click:minute="$refs.menuEndTime.save(timePickerEnd)"
                >
                </v-time-picker>
              </v-menu>
            </div>
          </div>
        </div>
      </div>
      <div class="col-span-12 md:col-span-3">
        <div class="bg-white rounded-md shadow p-4">
          <p class="mb-0 font-semibold text-content-main text-lg">
            Discount Summary
          </p>
          <div class="mt-2 py-6 px-2 bg-gray-100 rounded-md">
            <p class="text-sm font-semibold text-content-main uppercase">
              Code: {{discount.code}}
            </p>
            <div class="mt-4">
              <p class="text-sm text-content-main">
                {{discount.discount}}
                <span v-if="discount.discountType === '1'">
                  % of all sellerpages
                </span>
                <span v-if="discount.discountType === '2'">
                  $ of all sellerpages
                </span>
                <span v-if="discount.discountType === '3'"> FreeShip </span>
                <br />
                Applied For everyone
              </p>
            </div>
            <div class="mt-4">
              <p class="mb-0 text-sm text-gray-900">Start Date:</p>
              <div class="flex items-center">
                <v-icon color="black" size="8"> mdi-circle </v-icon>
                <p class="mb-0 ml-2 text-sm text-gray-900">
                  {{dateStart}}, {{timePickerStart}} (GMT {{timezone}})
                </p>
              </div>
              <div v-if="isShowDateEnd">
                <p class="mb-0 text-sm text-gray-900">End Date:</p>
                <div class="flex items-center">
                  <v-icon color="black" size="8"> mdi-circle </v-icon>
                  <p class="mb-0 ml-2 text-sm text-gray-900">
                    {{dateEnd}}, {{timePickerEnd}} (GMT {{timezone}})
                  </p>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
